/*
 * @(#)NoSuchAlgorithmException.java	1.15 97/08/07
 *
 * Copyright 1993-1997 Sun Microsystems, Inc. 901 San Antonio Road,
 * Palo Alto, California, 94303, U.S.A.  All Rights Reserved.
 *
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 *
 * CopyrightVersion 1.2
 *
 */

package com.novell.java.security;

/**
 * Thrown when a particular cryptographic algorithm is requested but
 * is not available in the environment.
 *
 * @version 1.15, 98/01/14
 * @author Benjamin Renaud
 */

public class NoSuchAlgorithmException extends GeneralSecurityException {

    /**
     * Constructs a NoSuchAlgorithmException with no detail
     * message.
     */
    public NoSuchAlgorithmException() {
	super();
    }

    /**
     * Constructs a NoSuchAlgorithmException with the specified
     * detail message. A detail message is a String that describes
     * this particular exception, which may, for example, specify
     * the algorithm that is not available.
     *
     * @param msg The detail message string.
     */
    public NoSuchAlgorithmException(String msg) {
	super(msg);
    }
}
